## visad.data.netcdf.in
Class FileDataFactory.netCDFFlatFieldAccessor

    java.lang.Object
      visad.data.FileAccessor
          visad.data.netcdf.in.FileDataFactory.netCDFFlatFieldAccessor

Enclosing class:
  FileDataFactory

protected class FileDataFactory.netCDFFlatFieldAccessor
extends FileAccessor

Provides support for reading a FlatField from a netCDF dataset.

Constructor Summary
`FileDataFactory.netCDFFlatFieldAccessor(Context context, VirtualField virtualField)` Constructs from a netCDF indicial context and a virtual Field.

Method Summary
`FlatField` `getFlatField()` Returns the associated FlatField.
`FunctionType` `getFunctionType()` Returns the VisAD FunctionType of the FlatField.
`double[][]` `readFlatField(FlatField template, int[] fileLocation)` Returns `null`.
`void` `writeFile(int[] fileLocation, Data range)` Does nothing.
`void` `writeFlatField(double[][] values, FlatField template, int[] fileLocation)` Does nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileDataFactory.netCDFFlatFieldAccessor

    public FileDataFactory.netCDFFlatFieldAccessor(Context context,
                                                   VirtualField virtualField)

  Constructs from a netCDF indicial context and a virtual Field.

Parameters:
  `context` - The netCDF indicial context.
  `virtualField` - The virtual Field.

Method Detail

### getFlatField

    public FlatField getFlatField()
                           throws VisADException,
                                  RemoteException

  Returns the associated FlatField.

  Specified by:
    `getFlatField` in class `FileAccessor`
  Returns:
    The associated FlatField.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### getFunctionType

    public FunctionType getFunctionType()

  Returns the VisAD FunctionType of the FlatField.

  Specified by:
    `getFunctionType` in class `FileAccessor`
  Returns:
    The VisAD FunctionType of the FlatField.

### readFlatField

    public double[][] readFlatField(FlatField template,
                                    int[] fileLocation)

  Returns `null`.

  Specified by:
    `readFlatField` in class `FileAccessor`
  Returns:
    `null`.

### writeFile

    public void writeFile(int[] fileLocation,
                          Data range)

  Does nothing.

  Specified by:
    `writeFile` in class `FileAccessor`

### writeFlatField

    public void writeFlatField(double[][] values,
                               FlatField template,
                               int[] fileLocation)

  Does nothing.

  Specified by:
    `writeFlatField` in class `FileAccessor`